## org.metaabm.act
Interface ACreateShapedAgents

All Superinterfaces:
  AAct, ACreateAgents, ASelect, AShaped, org.eclipse.emf.ecore.EObject, IAct, IID, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ACreateShapedAgentsImpl

    public interface ACreateShapedAgents

extends ACreateAgents, AShaped

A representation of the model object 'ACreate Shaped Agents'.

See Also:
  `MetaABMActPackage.getACreateShapedAgents()`

Method Summary

Methods inherited from interface org.metaabm.act.ACreateAgents
`getAgentCount, setAgentCount`

Methods inherited from interface org.metaabm.act.ASelect
`getAgent, getFor, getSpace, setAgent, setFor, setSpace`

Methods inherited from interface org.metaabm.act.AAct
`getAllSources, getAllTargets, getGroup, getReference, getRootSelected, getSelected, getSources, getTargets, isReachable, isTargetOf, references, setGroup, setSelected`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.metaabm.act.AShaped
`getShape, setShape`